## texlive-base 2020.20201203

=== texmf-dist/doc/latex/circuit-macros/doc/Makefile ===
# The installed library directory, change this if necessary:
LIBDIR = ..

DOC = Circuit_macros
DOCSRC = Circuit_macros.tex body.tex defines.tex

PICTEX = \
  AmpTableMan.tex AntennasMan.tex AudioMan.tex Axes.tex \
  Buffer.tex BigResistor.tex BipMan.tex \
  CctTableMan.tex Composite.tex ConfigA.tex ConfigB.tex ConfigC.tex \
  ConnMan.tex Corners.tex ContactMan.tex ContactsMan.tex \
  Dac.tex Darlington.tex DemultiplexerMan.tex DiodesMan.tex \
  EmarrowsMan.tex FF.tex FlipFlop.tex Flowdiag.tex FusesMan.tex \
  GroundsMan.tex HeadersMan.tex HybridPi.tex JackMan.tex LogicMan.tex \
  Loop.tex MultiplexerMan.tex NPDTMan.tex NLGMan.tex NportMan.tex \
  Oblique.tex OpampMan.tex Opto.tex ParSeries.tex PconnMan.tex \
  Potentiometers.tex RelayMan.tex relaycoilMan.tex Series.tex ShiftRMan.tex \
  Sinus.tex SourcesMan.tex SwitchesMan.tex Taps.tex TgateMan.tex \
  Thermal.tex Tline.tex VariableMan.tex XformMan.tex \
  WindingsMan.tex Workflow.tex bitr.tex bi_trans.tex bistableMan.tex \
  currents.tex eboxdims.tex fbfilter.tex fetMan.tex lrarrows.tex \
  mplex.tex oax.tex quick.tex \
  sampleIC.tex stringdims.tex thyristorMan.tex ujtMan.tex \
  woodchips.tex

VERBATIM = BigResistor2.verb eboxdims.verb
BOXDIMS = AntennasMan.tex bi_trans.tex ConfigA.tex ConfigB.tex ConfigC.tex \
  Corners.tex \
  Dac.tex eboxdims.tex FlipFlop.tex \
  OpampMan.tex ParSeries.tex Sinus.tex stringdims.tex \
  WindingsMan.tex woodchips.tex
# BOXDIMS = $(PICTEX)

LATEX = latex
M4 = m4 -I $(LIBDIR)
# If M4PATH has been set:
M4 = m4

# For gpic
MODE = gpic
PIC = gpic -t
PRE =
POST = ;printf '\\centerline{\\box\\graph}\n'
PST =

# For dpic; comment these to stick with gpic.
MODE = pstricks
PIC = dpic -p
# PIC = $$HOME/dpic/test/dpic -p
# PIC = $$HOME/dpic/p2c/ftp/dpic -p
PRE =
POST =
#POST = ;printf '}%%'
PST = ;printf '\\usepackage{pstricks}\n' >> heading.tex
# PST = ;printf '\\usepackage{tikz}\n' >> heading.tex

SFX = dvi

M4LIBS = $(MODE).m4
.SUFFIXES: .tex .m4
.m4.tex:
	touch $(DOC).dim
	$(M4) $(M4LIBS) $(DOC).dim $*.m4 > $*.pic
	($(PRE) $(PIC) $*.pic $(POST)) > $*.tex

$(DOC).pdf:
	touch mode.tex
	-if grep -q tikz mode.tex ; then true ; else \
           make clean ; printf "\\usepackage{tikz}\n" > mode.tex ; fi
	make MODE=pgf PIC="dpic -g" LATEX=pdflatex SFX=pdf \
         POST="; printf '\\\\vspace*{-0.5\\\\baselineskip}\\n'" \
         $(DOC).pdf
#  This breaks internal links:
#	optpdf $(DOC).pdf
	chmod 644 $(DOC).pdf
	
$(DOC).ps:
	printf "\n $(DOC).ps:\n\n"
	make MODE=pstricks PIC="dpic -p" LATEX=latex SFX=dvi POST="" $(DOC).dvi
	dvips -t letter $(DOC) -o

$(DOC).$(SFX): mode.tex citations $(PICTEX)
	@printf "\n $(DOC).SFX=$(DOC).$(SFX):\n\n"
	$(LATEX) $(DOC) ; bibtex $(DOC)
    -@if grep -s "Warning: Reference " $(DOC).log ; then \
           @printf "\n Warning:\n\n" ; \
           $(LATEX) $(DOC) ; bibtex $(DOC) ; \
         elif test ! -f $(DOC).$(SFX) ; then\
           @printf "\n No file $(DOC).$(SFX)\n\n" ; \
           $(LATEX) $(DOC) ; bibtex $(DOC) ; fi

citations: mode.tex $(DOC).bbl $(PICTEX)
	@printf "\n citations:\n\n"
	$(LATEX) $(DOC) ; bibtex $(DOC)
	touch citations

$(DOC).bbl: $(DOC).bib $(DOC).aux
	bibtex $(DOC)

$(DOC).aux: mode.tex $(DOCSRC) heading.tex $(VERBATIM) $(PICTEX)
	@printf "\n $(DOC).aux:\n\n"
	$(LATEX) $(DOC) ; bibtex $(DOC)
	rm -f $(BOXDIMS)
	make $(BOXDIMS)

mode.tex:
	-if test "$(MODE)" = "pstricks" ; then \
	printf "\\usepackage{pstricks}\n" > mode.tex ; else \
	printf "\\usepackage{tikz}\n" > mode.tex ; fi

heading.tex:
	printf '\\documentclass{article}\n' > heading.tex
	printf '\\usepackage{verbatim,url}\n' >> heading.tex
	printf '\\usepackage{multicol}\n' >> heading.tex
	printf '\\usepackage{amssymb,boxdims}\n' >> heading.tex $(PST)

oax.tex tran.tex bitr.tex: oax.m4
	$(M4) $(M4LIBS) $*.m4 > $*.pic
	$(PIC) $*.pic > $*.tex

pics: $(PICTEX)

BigResistor2.verb: BigResistor.m4
	( printf '\\begin{verbatim}\n'; \
           sed -n '/thinlines/,/PE/p' BigResistor.m4 ;\
    printf '\\end{verbatim}\n' ) > BigResistor2.verb

eboxdims.verb: eboxdims.m4
	( printf '\\begin{verbatim}\n' ; \
           sed -e '/thinlines/,$$d' eboxdims.m4 ; \
    printf '.PE\n\\end{verbatim}\n' ) > eboxdims.verb

ex08.m4: ../examples/ex08.m4
	cp ../examples/ex08.m4 ex08.m4

clobber: clean
	rm -f *.dvi Circuit_macros.pdf

clean:
	rm -f *.bbl *.log *.aux *.blg *.toc citations *.verb ex08.m4
	rm -f *.pic $(PICTEX) heading.tex *.dim *.uu Circuit_macros.ps
	rm -f mode.tex Circuit_macros.out *.upa *.upb *.brf Circuit_macros.dvi

=== texmf-dist/doc/latex/circuit-macros/examples/Makefile ===
# Examples Makefile
#
# Type "make" to generate examples.pdf containing many examples.
# Type "make clean; make examples.ps" to invoke latex intead of pdflatex.
# Type "make <diag>.ps" to make a postscript file from <diag>.m4
#  It may be necessary to type "make clean" before this or any of the following:
# Type "make <diag>.eps" to make an .eps file from <diag>.m4
#   The following require ImageMagick convert:
# Type "make <diag>.png" to make a .png file from <diag>.m4
# Type "make <diag>.tif" to make a .tif file from <diag>.m4
# Type "make <diag>.svg" to make a .svg file from <diag>.m4
#       See also: the svg subdirectory for generating svg directly.
#
# To test the file test.m4, type "make tst" if boxdims is used, otherwise
# type "make tst1".  In either case the file tst.ps is created.
#
# To debug a single diagram in a directory other than this examples
# directory, copy this makefile and tst.tex to where you want to work,
# redefine LIBDIR (below) appropriately, and type "make <diag>.xxx"
# where xxx is one of ps, eps, png, or pdf

#########################################################################

# Circuit_macro directory, change this if necessary:
# LIBDIR = $$HOME/lib
LIBDIR = ..

# The dpic processor:
PIC = dpic -p
#PIC = $$HOME/dpic/build/p2c/ftp/dpic -p
#PIC = $$HOME/dpic/dev/p2c/ftp/dpic -p
#PIC = $$HOME/dpic/bison/dpic -p
#PIC = $$HOME/dpic/bdev/dpic -p

CONFIGFILE = pstricks.m4

# Testing the mingw version of dpic:
#PIC = $$HOME/dpic/bison/distsrc/Windows/dpic -p
#CUSTOM=windows.m4

# Uncomment for gpic.  Use gpic or pic as applicable on your machine:
# PIC = gpic -t
# PIC = pic -t
# CONFIGFILE = gpic.m4

# Convert options
EPSOPTS =
PNGOPTS = -quiet -density 400 -scale 25% -alpha Remove

# M4 = m4 -B32000
# M4 = m4 -I $(LIBDIR)
# If environment variable M4PATH has been set to the installation directory:
M4 = m4

#########################################################################

DOC = examples
PICS = \
  ABlogix.tex Adder.tex Alogix.tex AmpTable.tex Antennas.tex \
  AntiqueClock.tex Audio.tex Bip.tex Btree.tex Buttons.tex Byte.tex \
  CanLogic.tex CctTable.tex Conn.tex Connectors.tex \
  Contacts.tex Contact.tex control.tex Counting.tex Crossbar.tex Crow.tex \
  csc.tex Csource.tex Decoder.tex \
  Demultiplexer.tex diamond.tex Dini.tex Diodes.tex Drive.tex Emarrows.tex \
  ex00.tex ex01.tex ex02.tex ex03.tex ex04.tex ex05.tex ex06.tex ex08.tex \
  ex09.tex ex10.tex ex11.tex ex12.tex ex15.tex ex16.tex ex17.tex ex18.tex \
  ex21.tex exp.tex fet.tex Flow.tex Fuses.tex GrayCode.tex graysurf.tex \
  Grounds.tex Headers.tex Heathkit.tex I2L.tex Incleps.tex Jack.tex \
  lcct.tex Logic.tex Loglog.tex MC.tex Mixer.tex MotorControl.tex \
  Multiplexer.tex NLG.tex NPDT.tex Nport.tex Opamp.tex Optoiso.tex \
  Pconn.tex PushPull.tex pwrsupply.tex Quantum.tex quick.tex random.tex \
  Rectifiers.tex recycle.tex relaycoil.tex Relay.tex rose.tex Rotbox.tex \
  Schottky.tex sfg.tex shapes.tex ShiftR.tex Sierpinski.tex Sixpole.tex \
  Sources.tex SQUID.tex Switches.tex \
  Tgate.tex Three.tex thyristor.tex Timer.tex \
  TTLnand.tex Ttree.tex Tubediags.tex ujt.tex Variable.tex Windings.tex \
  worm.tex Xform.tex XOR.tex

# Files that have to be processed twice:
BOXDIMS = ex09.tex Crow.tex Incleps.tex Loglog.tex Opamp.tex random.tex \
 Ttree.tex Windings.tex
BOXPICS = ex09.pic Crow.pic Incleps.pic Loglog.pic Opamp.pic random.pic \
 Ttree.pic Windings.pic

DVIPSOPTS = -Ppdf -G0 -t letter
DVIPSOPTS = -G0 -t letter
M4LIBS = $(CONFIGFILE) $(CUSTOM)
DIMFILE = $(DOC).dim
BS = tr '|' '\134'

# Might be needed (change latex commands to $(LTX) )
# LTX = latex --shell-escape

.SUFFIXES: .ps .dvi .tex .m4 .pic .eps .png .pdf .svg .tif .gif
.dvi.ps:
	dvips $(DVIPSOPTS) $* -o $*.ps
	chmod 644 $*.ps
.m4.tex:
	@if test -n "$(DIMFILE)" ; then touch $(DIMFILE) ; fi ; touch F_$*.dim
	$(M4) $(M4LIBS) $(DIMFILE) F_$*.dim $*.m4 | sed -e '/^ *$$/d' \
      | $(PIC) > $*.tex
#	$(M4) $(M4LIBS) $(DIMFILE) F_$*.dim $*.m4 | sed -e '/^ *$$/d' > $*.pic
#	$(PIC) $*.pic > $*.tex
#	grep Production dpic.log >> newp.txt
.m4.pic:
	@if test -n "$(DIMFILE)" ; then touch $(DIMFILE) ; fi
	$(M4) $(M4LIBS) $(DIMFILE) $*.m4 > $*.pic
.m4.dvi:
	make $*.tex
	printf "|documentclass[11pt]{article}\n\
|usepackage{times,pstricks,boxdims,graphicx,pst-grad,pst-slpe}\n\
|usepackage{siunitx}\n\
|setlength{|textwidth}{28cm}|setlength{|textheight}{28cm}\n\
|setlength{|oddsidemargin}{0pt}|setlength{|evensidemargin}{0pt}\n\
|setlength{|hoffset}{-1cm}\n\
|pagestyle{empty}|thispagestyle{empty}\n\
|newbox|graph\n\
|begin{document}\n\
|noindent|input{"$*".tex}\n\
|end{document}\n" | $(BS) > F_$*.tex
	latex F_$*
	touch F_$*.dim $(DIMFILE) ; rm -f $*.tex $*.pic ; make $*.tex 
	latex F_$*
	touch F_$*.dim $(DIMFILE) ; rm -f $*.tex $*.pic ; make $*.tex 
	latex F_$*
.m4.eps:
	make $*.dvi
	dvips F_$* -T128cm,28cm -o $*.ps
#	dvips -Ppdf F_$* -T128cm,28cm -o $*.ps
# Recent changes to PSTricks(?) have clashed with the use of TeXtoEPS
#  so use ps2epsi
	ps2epsi $*.ps $*.epsi
	sed -e '/%%Pages:/d' -e '/BeginPreview/,$$d' $*.epsi \
     | tr '\015' '\012' > $*.eps
	sed -e '1,/EndPreview/d' $*.epsi >> $*.eps
.m4.ps:
	make $*.tex && mv $*.tex test.tex; latex tst
	rm -f test.tex $*.pic
	if test -f tst.dim ; then cp tst.dim F_$*.dim ; fi
	make $*.tex && mv $*.tex test.tex; latex tst
	dvips $(DVIPSOPTS) tst -o $*.ps
	chmod 644 $*.ps
.m4.svg:
	make $*.eps
	convert $(EPSOPTS) $*.eps $*.svg
.m4.png:
	make $*.eps
	convert $(PNGOPTS) $*.eps $*.png
	@if test -f $*.png.0 ; then mv $*.png.0 $*.png ; fi
.m4.gif:
	make $*.ps
	convert $(GIFOPTS) $*.ps $*.gif
#	@if test -f $*.png.0 ; then mv $*.png.0 $*.png ; fi
.m4.tif:
	make $*.eps
	convert $(EPSOPTS) $*.eps $*.tif
	@if test -f $*.tif.0 ; then mv $*.tif.0 $*.tif ; fi
.m4.pdf:
	touch F_$*.dim
	$(M4) pgf.m4 F_$*.dim $*.m4 > $*.pic
	$(PIC) -g $*.pic > test.tex
	sed -e '/^\\usepackage.*graphicx/s/^.*$$/\\usepackage{tikz}/' \
     -e '/pstricks/d' tst.tex > F_$*.tex
	pdflatex F_$*
	$(M4) pgf.m4 F_$*.dim $*.m4 > $*.pic
	$(PIC) -g $*.pic > test.tex
	pdflatex F_$*
	mv F_$*.pdf $*.pdf

#########################################################################

$(DOC).pdf: clean pdfmode $(DOC).frp
	touch $(DOC).dim
	rm -f $(BOXDIMS) $(BOXPICS)
	make PIC="$(PIC) -g" CONFIGFILE=pgf.m4 DIMFILE=$(DOC).dim pics
	pdflatex $(DOC)
	rm -f $(BOXDIMS) $(BOXPICS)
	make PIC="$(PIC) -g" CONFIGFILE=pgf.m4 DIMFILE=$(DOC).dim pics
	pdflatex $(DOC)
	optpdf $(DOC).pdf

pics: $(PICS)
	touch pics

$(DOC).ps: psmode $(DOC).dvi

psmode:
	printf "|usepackage{pstricks,pst-grad}\n" | $(BS) > mode.tex

pdfmode:
	printf "|usepackage{tikz}\n" | $(BS) > mode.tex

$(DOC).dvi: $(DOC).frs
	touch $(DOC).dim
	for file in $(BOXDIMS) ; do rm -f $$file.tex $$file.pic ; done
	make PIC="$(PIC)" CONFIGFILE=pstricks.m4 DIMFILE=$(DOC).dim pics
	latex $(DOC)
	for file in $(BOXDIMS) ; do rm -f $$file.tex $$file.pic ; done
	make PIC="$(PIC)" CONFIGFILE=pstricks.m4 DIMFILE=$(DOC).dim pics
	latex $(DOC)

$(DOC).frs: $(DOC).tex files.tex header.tex psmode
	make PIC="$(PIC) -p" CONFIGFILE=pstricks.m4 DIMFILE=$(DOC).dim pics
	cp $(LIBDIR)/doc/Version.tex .
	latex $(DOC)
	rm -f $(DOC).dvi
	touch $(DOC).frs

$(DOC).frp: $(DOC).tex files.tex header.tex pdfmode
	make PIC="$(PIC) -g" CONFIGFILE=pgf.m4 DIMFILE=$(DOC).dim pics
	cp $(LIBDIR)/doc/Version.tex .
	pdflatex $(DOC)
	rm -f $(DOC).pdf
	touch $(DOC).frp

tst:
	make test.tex; latex tst; rm -f test.tex test.pic
	make DIMFILE=tst.dim test.tex; latex tst
	dvips $(DVIPSOPTS) tst -o tst.ps

tst1: test.tex tst.tex
	latex tst
	dvips $(DVIPSOPTS) tst -o tst.ps

gtst:
	touch test.m4; make PIC="gpic -t" CONFIGFILE="" tst

gtst1:
	touch test.m4; make PIC="gpic -t" CONFIGFILE="" tst1

echopics:
	@echo $(PICS)

clobber:	clean
	rm -f *.ps
	-@for dir in mf mpost pdflatex xfig psfrag svg dev test; \
      do (if test -d $$dir ; then cd $$dir; make clobber; fi) ; done
	rm -f *.warn
	rm -f examples.pdf
	rm -rf index.html html basenames *.png* dist zips htmlfiles svgfiles
	rm -rf $(TMP)/Cir* $(ECETMP)/Cir* $(ECEDIR)
	if test -f Incl.pdf ; then \
      mv Incl.pdf Incl.pdx; rm -f *.pdf; mv Incl.pdx Incl.pdf ; fi
	for file in `ls *.tex` ; do \
      nm=`echo $$file | sed -e "s/\(.*\)\.tex/\1/"` ; \
      if test -s $$nm.m4 ; then rm -f $$nm.pic $$nm.tex ; fi ; done
	@if test -f distmakefile ; then make -f distmakefile clobber ; fi

clean:
	@printf "\n examples clean:\n"
	rm -f core boxdims.tar.gz pics
	rm -f *.dvi *.aux *.log *.toc *.blg *.eps *.tif *.epsi eps *-mfpic*
	rm -f fig*.tex $(PICS) *.roff *.int *.pic gpic.m4 test.tex xxx* *.fig
	rm -f *.dim *.bak *.frs *.frp $(RPICS) rotate.ps tst.ps *.bbl *-pics.ps
	rm -f *.tfm *[0-9]pk *.png *.1 *.gif
	rm -f F_* Version.tex *stackdump *.ico
	rm -rf distfile distfile.tar.gz mode.tex
	@printf "\n"
	@if test -f distmakefile ; then make -f distmakefile clean ; fi

=== texmf-dist/doc/latex/circuit-macros/examples/mpost/Makefile ===
# Makefile for the mpost subdirectory
# To test a new file, copy it into test.m4 and type "make tst" or "make tst1"

M4 = m4 mpost.m4
# If the M4PATH environment variable has not been set to include the
# installation directory then change $$HOME/lib to point to the directory,
# and uncomment the following:

# M4 = m4 -I $$HOME/lib mpost.m4

#---------------------------------------------

MKDIM=pwd | sed -e 's%^%=boxdimfile{%' -e 's%/cygdrive/\(.\)/%\1:/%' \
       -e 's%$$%/$(DIMFILE)}%'

# Comment out the following line to produce absolute addresses for .dim files.
MKDIM=printf '=boxdimfile{$(DIMFILE)}\n'

#---------------------------------------------

DOC = examplesmpost
FIGS = Adder.1 Alogix.1 ABlogix.1 Antennas.1 AmpTable.1 Audio.1 \
  AntiqueClock.1 \
  Bip.1 Btree.1 Byte.1 Buttons.1 \
  Connectors.1 Contact.1 Contacts.1 \
  Counting.1 Crossbar.1 Crow.1 Csource.1 CanLogic.1 CctTable.1 Conn.1 \
  Decoder.1 Demultiplexer.1 Dini.1 Diodes.1 Drive.1 \
  Emarrows.1 Flow.1 Fuses.1 \
  GrayCode.1 Grounds.1 Headers.1 Heathkit.1 I2L.1 Inclpdf.1 Jack.1 \
  Logic.1 Loglog.1 MC.1 Mixer.1 MotorControl.1 Multiplexer.1 \
  NLG.1 NPDT.1 Nport.1 \
  Opamp.1 Optoiso.1 Pconn.1 PushPull.1 Quantum.1 \
  Rectifiers.1 Relay.1 relaycoil.1 Rotbox.1 \
  Schottky.1 Sierpinski.1 ShiftR.1 Sixpole.1 Sources.1 SQUID.1 Switches.1 \
  Tgate.1 Three.1 Timer.1 TTLnand.1 Ttree.1 Tubediags.1 \
  Variable.1 Windings.1 Xform.1 \
  control.1 csc.1 diamond.1 ex00.1 ex01.1 ex02.1 \
  ex03.1 ex04.1 ex05.1 ex06.1 ex08.1 ex09.1 ex10.1 \
  ex11.1 ex12.1 ex15.1 ex16.1 ex17.1 ex18.1 ex21.1 exp.1 \
  fet.1 graysurf.1 lcct.1 pwrsupply.1 quick.1 \
  random.1 recycle.1 rose.1 shapes.1 thyristor.1 sfg.1 ujt.1 worm.1 XOR.1

BOXDIMS = ex09 Crow Inclpdf Loglog Opamp Ttree Windings

# It is advisable to do `make clean' between test examples.
#---------------------------------------------

DPIC = dpic
# DPIC = $$HOME/dpic/test/dpic

MPOST = mpost --tex=latex

TR = | tr '=' '\134'

LATEX = latex
DVIPS = dvips

DIMFILE = tmp.dim

.SUFFIXES: .mp .dvi .ps .m4 .1
.dvi.ps:
	$(DVIPS) $* -o
.tex.dvi:
	$(LATEX) $*
.m4.mp:
	$(M4) $*.m4 | $(DPIC) -s > $*.mp
#	$(M4) $*.m4 $*.pic
#	$(DPIC) -s $*.pic > $*.mp
.m4.1:
	@touch $(DIMFILE) $(DOC).dim
	$(M4) $(DIMFILE) $(DOC).dim $*.m4 > $(DOC).pic
	@(printf 'verbatimtex\n' ;\
     printf '=documentclass[11pt]{article}\n' ;\
     printf '=usepackage{times,boxdims,graphicx}\n' ;\
     printf '=usepackage{siunitx}\n' ;\
    $(MKDIM) ;\
     printf '=begin{document} etex\n' ) $(TR) > $*.mp
#	$(M4) $(DIMFILE) $(DOC).dim $*.m4 | $(DPIC) -s >> $*.mp
	dpic -s $(DOC).pic >> $*.mp
	@printf 'end\n' >> $*.mp
	$(MPOST) $*.mp

$(DOC).ps: $(DOC).dvi
	$(DVIPS) $(DOC) -o

EXL = exlinks
$(DOC).dvi: $(DOC).tex
	-if test "$(DOC)" = "examplesmpost" ; then make exlinks dims; fi
	make $(FIGS)
	$(LATEX) $(DOC)
	-if test -n "$(BOXDIMS)" ; then rm -f dims; \
       for box in $(BOXDIMS) ; do rm -f $$box.1; done; \
       make BOXDIMS="$(BOXDIMS)" dims; $(LATEX) $(DOC); fi

dims:
	-if test -n "$(BOXDIMS)" ; then for box in $(BOXDIMS) ; do \
        make $$box.1; rm -f $$box.1; make $$box.1; done; fi
	touch dims

figs: $(EXL) $(FIGS)

exlinks:
	@echo ""
	@echo 'Ignore "cannot create ... exists" warnings.'
	-@if test ! -f ex11.m4 ; then \
     ls ../*.m4 | sed -e 's/^/ln -s /' -e '/test.m4/d' | sh;\
     fi
	-@if test ! -f AmpTable.m4 ; then \
     ls ../../doc/*.m4 ../*.bb ../*.gz | sed -e 's/^/ln -s /' | sh;\
     fi
	-if test -n "$(EXL)" ; then touch $(EXL) ; fi

clobber: clean

tst:
	rm -f tst.ps tst.dvi test.1 test.mp
	make EXL="" DPIC="$(DPIC)" CONFIGFILE="$(CONFIGFILE)" DOC=tstmpost \
     FIGS=test.1 BOXDIMS=test
	rm -f *.frs

tst1: test.1 tstmpost.tex
	latex tstmpost
	dvips tstmpost

clean:
	rm -f stamp-* $(FIGS) *.pic
	-if /usr/bin/test -f exlinks ; then \
     ls -l *.m4 *.bb *.gz | grep '\->' | \
       sed -e 's/^.* \([^ ][^ ]*\) ->.*$$/rm -f \1/' | sh; fi
	rm -f Incl.eps.bb Incl.eps.gz
	rm -f *.log *.dvi *.ps test.pdf *.aux *.mp *.[0-9] *.[0-9][0-9] *.mpx *.dim
	rm -f core log mpxerr* *links figs.* *.dim dims F_test.*
	rm -f man[0-9]*.pic man[0-9]*.m4 figs.m4 test.1 test.mp test.pic test.tex
	-if test -n "$(BOXDIMS)" ; then for box in $(BOXDIMS) ; do \
      rm -f F_$$box.tex $$box.tex ; done; fi

=== texmf-dist/doc/latex/circuit-macros/examples/svg/Makefile ===
LIBDIR = $$HOME/lib
M4LIBS = svg.m4 SVGconfig.m4
M4LIBS = svg.m4

# To process a single file, copy it to test.m4 and type "make tst"
# to produce tstSVG.html

DPIC = dpic
#DPIC = $$HOME/dpic/build/p2c/ftp/dpic
#DPIC = ../../../dpic/build/p2c/ftp/dpic
#DPIC = ../../../dpic/bison/dpic
#DPIC = ../../../dpic/bdev/dpic

# To test the Windows executable.  Change these as needed for the operating
# system.  NOTE: AntiqueClockSVG.m4 and Connectors.m4 use awk and sed which
# do not work at present with the Windows version.
# M4LIBS = svg.m4 windows.m4
# DPIC = ../../../dpic/bison/distsrc/Windows/dpic

.SUFFIXES: .pic .svg .m4
.pic.svg:
	$(DPIC) -v $*.pic > $*.svg
	grep '<\!-- width' $*.svg | sed -e 's%<\!-- *%%' -e 's% *-->%%' > $*.siz
.m4.svg:
	m4 $(M4LIBS) $*.m4 | sed -e '/^\%/d' > $*.pic
	$(DPIC) -v $*.pic > $*.svg
	grep '<\!-- width' $*.svg | sed -e 's%<\!-- *%%' -e 's% *-->%%' > $*.siz

CCTSVG = \
 AdderSVG.svg AlogixSVG.svg ABlogixSVG.svg AmpTableSVG.svg AntennasSVG.svg \
 AntiqueClockSVG.svg \ AudioSVG.svg \
 BipSVG.svg BtreeSVG.svg ByteSVG.svg ButtonsSVG.svg \
 CanLogicSVG.svg CctTableSVG.svg ConnSVG.svg ConnectorsSVG.svg \
 ContactSVG.svg ContactsSVG.svg \
 CountingSVG.svg CrossbarSVG.svg CrowSVG.svg CsourceSVG.svg \
 DecoderSVG.svg DemultiplexerSVG.svg DiniSVG.svg DiodesSVG.svg DriveSVG.svg \
 EmarrowsSVG.svg \
 FlowSVG.svg FontsSVG.svg FusesSVG.svg GrayCodeSVG.svg GroundsSVG.svg \
 HeadersSVG.svg HeathkitSVG.svg InclepsSVG.svg I2LSVG.svg JackSVG.svg \
 LogicSVG.svg LoglogSVG.svg \
 MCSVG.svg MixerSVG.svg MotorControlSVG.svg MultiplexerSVG.svg \
 NLGSVG.svg NPDTSVG.svg NportSVG.svg OpampSVG.svg OptoisoSVG.svg \
 PconnSVG.svg PushPullSVG.svg QuantumSVG.svg \
 RectifiersSVG.svg RelaySVG.svg RotboxSVG.svg\
 SchottkySVG.svg ShiftRSVG.svg SierpinskiSVG.svg \
 SixpoleSVG.svg SourcesSVG.svg SQUIDSVG.svg SwitchesSVG.svg \
 TTLnandSVG.svg TgateSVG.svg TtreeSVG.svg ThreeSVG.svg TimerSVG.svg \
 TubediagsSVG.svg VariableSVG.svg WindingsSVG.svg XformSVG.svg \
 controlSVG.svg cscSVG.svg diamondSVG.svg ex00SVG.svg \
 ex01SVG.svg ex02SVG.svg ex03SVG.svg ex04SVG.svg ex05SVG.svg ex06SVG.svg \
 ex08SVG.svg ex09SVG.svg ex10SVG.svg ex11SVG.svg ex12SVG.svg \
 ex15SVG.svg ex16SVG.svg ex17SVG.svg ex18SVG.svg ex21SVG.svg \
 expSVG.svg fetSVG.svg graysurfSVG.svg lcctSVG.svg \
 pwrsupplySVG.svg quickSVG.svg randomSVG.svg recycleSVG.svg relaycoilSVG.svg \
 roseSVG.svg sfgSVG.svg shapesSVG.svg paletteSVG.svg \
 thyristorSVG.svg ujtSVG.svg wormSVG.svg XORSVG.svg Np.svg

examplesSVG.html: examplesSVG.htmx
	make $(CCTSVG)
	Version=`sed -e 's/Version //' $(LIBDIR)/doc/Version.tex` ; \
      sed -e 's/Version XXX/Version '$$Version'/' examplesSVG.htmx \
      | m4 > examplesSVG.html

SED = sed -e '/^\%/d'
TEST = test
tst:
	if test -f test.pic; then printf "\n\nUsage: make clean tst\n\n"; exit 1; fi
	m4 $(M4LIBS) test.m4 | $(SED) > test.pic
	$(DPIC) -v $(TEST).pic > $(TEST).svg
	m4 $(M4LIBS) $(TEST).m4 | $(SED) > $(TEST).pic
	$(DPIC) -v $(TEST).pic > $(TEST).svg
	grep '<\!-- width' $(TEST).svg | sed -e 's%<\!-- *%%' -e 's% *-->%%' \
     > $(TEST).siz
	make tstSVG.html

test.pic:
	if test -f test.pic ; then echo "Usage: make clean tst" ; fi
	m4 $(M4LIBS) test.m4 | $(SED) > test.pic
	m4 $(M4LIBS) test.m4 | $(SED) > test.pic

tstSVG.html: tstSVG.htmx $(TEST).svg
	Version=`sed -e 's/Version //' $(LIBDIR)/doc/Version.tex` ; \
      sed -e 's/Version XXX/Version '$$Version'/' \
          -e 's/XXXXX/'$(TEST)'/g' \
      tstSVG.htmx | m4 > tstSVG.html
#	cp tstSVG.html $(TEST) $$HOME/public_html/svg

xst: Incleps.png

AntiqueClockSVG.svg ConnectorsSVG.svg:
	m4 $(M4LIBS) $*.m4 | sed -e '/^\%/d' > $*.pic
	$(DPIC) -v $*.pic > $*.svg
	m4 $(M4LIBS) $*.m4 | sed -e '/^\%/d' > $*.pic
	$(DPIC) -v $*.pic > $*.svg
	grep '<\!-- width' $*.svg | sed -e 's%<\!-- *%%' -e 's% *-->%%' > $*.siz

xntiqueClockSVG.svg:
	m4 $(M4LIBS) AntiqueClockSVG.m4 | sed -e '/^\%/d' > AntiqueClockSVG.pic
	$(DPIC) -v AntiqueClockSVG.pic > AntiqueClockSVG.svg
	m4 $(M4LIBS) AntiqueClockSVG.m4 | sed -e '/^\%/d' > AntiqueClockSVG.pic
	$(DPIC) -v AntiqueClockSVG.pic > AntiqueClockSVG.svg
	grep '<\!-- width' AntiqueClockSVG.svg | sed -e 's%<\!-- *%%' -e 's% *-->%%' > AntiqueClockSVG.siz

InclepsSVG.svg: InclepsSVG.m4
	m4 $(M4LIBS) $*.m4 | sed -e '/^\%/d' > $*.pic
	$(DPIC) -v $*.pic > $*.svg
	$(DPIC) -v $*.pic > $*.svg

Incleps.png:
	(cd ..; make Incleps.png); cp ../Incleps.png .

clean:
	@printf "\n svg clean:\n"
	rm -f *.svg *.dim *.ps *log *.siz *.pic examplesSVG.html Incleps.png
	rm -f tstSVG.html copy_tmp__
	@printf "\n"

clobber: clean
	(cd dev; make clobber)
	rm -f test.m4

=== debian/changelog ===
texlive-base (2020.20201203-2) unstable; urgency=medium

  * Need another file conflict (Closes: #976393).

 -- Hilmar Preusse <hille42@web.de>  Fri, 04 Dec 2020 20:07:57 +0100

texlive-base (2020.20201203-1) unstable; urgency=medium

  * New upstream checkout. It (Closes: #976191).
    Contains upstream revision "svn 57048": "l3packages (with xparse)
    in c-latex, not just c-latexrecommended".

 -- Hilmar Preusse <hille42@web.de>  Thu, 03 Dec 2020 23:04:47 +0100

=== debian/control ===
Source: texlive-base
Section: tex
Priority: optional
Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>, Hilmar Preusse <hille42@web.de>
Build-Depends: debhelper-compat (= 13), dh-strip-nondeterminism
Build-Depends-Indep: sharutils, tex-common (>= 6.14), findutils (>=4.2.0)
Standards-Version: 4.5.0
Homepage: http://www.tug.org/texlive/
Vcs-Git: https://github.com/debian-tex/texlive-nonbin.git
Vcs-Browser: https://github.com/debian-tex/texlive-nonbin

Package: texlive-base
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libpaper-utils, sensible-utils, tex-common (>= 6.14), texlive-binaries (>= 2020.20200327), ucf, xdg-utils
Conflicts: tex4ht (<< 20160814), texlive (<< 2020.20200417), texlive-base (<< 2020.20200417), texlive-bibtex-extra (<< 2020.20200417), texlive-binaries (<< 2020.20200327), texlive-extra-utils (<< 2020.20200417), texlive-font-utils (<< 2020.20200417), texlive-fonts-extra (<< 2020.20200417), texlive-fonts-extra-doc (<< 2020.20200417), texlive-fonts-extra-links (<< 2020.20200417), texlive-fonts-recommended (<< 2020.20200417), texlive-fonts-recommended-doc (<< 2020.20200417), texlive-formats-extra (<< 2020.20200417), texlive-full (<< 2020.20200417), texlive-games (<< 2020.20200417), texlive-humanities (<< 2020.20200417), texlive-humanities-doc (<< 2020.20200417), texlive-lang-all (<< 2020.20200417), texlive-lang-arabic (<< 2020.20200417), texlive-lang-chinese (<< 2020.20200417), texlive-lang-cjk (<< 2020.20200417), texlive-lang-cyrillic (<< 2020.20200417), texlive-lang-czechslovak (<< 2020.20200417), texlive-lang-english (<< 2020.20200417), texlive-lang-european (<< 2020.20200417), texlive-lang-french (<< 2020.20200417), texlive-lang-german (<< 2020.20200417), texlive-lang-greek (<< 2020.20200417), texlive-lang-italian (<< 2020.20200417), texlive-lang-japanese (<< 2020.20200417), texlive-lang-korean (<< 2020.20200417), texlive-lang-other (<< 2020.20200417), texlive-lang-polish (<< 2020.20200417), texlive-lang-portuguese (<< 2020.20200417), texlive-lang-spanish (<< 2020.20200417), texlive-latex-base (<< 2020.20200417), texlive-latex-base-doc (<< 2020.20200417), texlive-latex-extra (<< 2020.20200417), texlive-latex-extra-doc (<< 2020.20200417), texlive-latex-recommended (<< 2020.20200417), texlive-latex-recommended-doc (<< 2020.20200417), texlive-luatex (<< 2020.20200417), texlive-metapost (<< 2020.20200417), texlive-metapost-doc (<< 2020.20200417), texlive-music (<< 2020.20200417), texlive-pictures (<< 2020.20200417), texlive-pictures-doc (<< 2020.20200417), texlive-plain-generic (<< 2020.20200417), texlive-pstricks (<< 2020.20200417), texlive-pstricks-doc (<< 2020.20200417), texlive-publishers (<< 2020.20200417), texlive-publishers-doc (<< 2020.20200417), texlive-science (<< 2020.20200417), texlive-science-doc (<< 2020.20200417), texlive-xetex (<< 2020.20200417)
Recommends: lmodern (>= 0.93.3)
Provides: dvipdfmx
Suggests: ghostscript, gv | postscript-viewer, perl-tk, xpdf | pdf-viewer, xzdec
Replaces: texlive-common (<< 2013), texlive-extra-utils (<< 2019.20190626), texlive-extra-utils (<< 2019.20191208), texlive-fonts-recommended (<< 2019.20200213), texlive-fonts-recommended-doc (<< 2019.20200213), texlive-lang-cyrillic (<< 2019.20190506), texlive-lang-european (<< 2019.20190506), texlive-lang-other (<< 2019.20190506), texlive-lang-spanish (<< 2019.20190506), texlive-latex-extra (<< 2019.20190701), texlive-latex-extra-doc (<< 2019.20190701)
Breaks: texlive-common (<< 2013), texlive-extra-utils (<< 2019.20190626), texlive-extra-utils (<< 2019.20191208), texlive-extra-utils (<< 2020.20200329-2), texlive-fonts-recommended (<< 2019.20200213), texlive-fonts-recommended-doc (<< 2019.20200213), texlive-lang-cyrillic (<< 2019.20190506), texlive-lang-european (<< 2019.20190506), texlive-lang-other (<< 2019.20190506), texlive-lang-spanish (<< 2019.20190506), texlive-latex-extra (<< 2019.20190701), texlive-latex-extra-doc (<< 2019.20190701), texlive-math-extra (<< 2017)
Description: TeX Live: Essential programs and files
 These files are regarded as basic for any TeX system, covering plain TeX 
 macros, Computer Modern fonts, and configuration for common drivers; no 
 LaTeX.
 .
 This package includes the following CTAN packages:
 .
 amsfonts -- TeX fonts from the American Mathematical Society
 .
 bibtex -- Process bibliographies for LaTeX, etc
 .
 cm -- Computer Modern fonts
 .
 colorprofiles -- Collection of free ICC profiles
 .
 dvipdfmx -- An extended version of dvipdfm
 .
 dvips -- A DVI to PostScript driver
 .
 ec -- Computer modern fonts in T1 and TS1 encodings
 .
 enctex -- A TeX extension that translates input on its way into TeX
 .
 etex -- An extended version of TeX, from the NTS project
 .
 etex-pkg -- E-TeX support package
 .
 glyphlist -- Adobe Glyph List and TeX extensions
 .
 graphics-def -- Colour and graphics option files
 .
 hyph-utf8 -- Hyphenation patterns expressed in UTF-8
 .
 hyphen-base -- core hyphenation support files
 .
 hyphenex -- US English hyphenation exceptions file
 .
 ifplatform -- Conditionals to test which platform is being used
 .
 iftex -- Am I running under pdfTeX, XeTeX or LuaTeX?
 .
 knuth-lib -- A small library of Metafont sources
 .
 knuth-local -- Knuth's local information
 .
 kpathsea -- Path searching library for TeX-related files
 .
 lua-alt-getopt -- Process application arguments the same way as getopt_long
 .
 luahbtex -- LuaTeX with HarfBuzz library for glyph shaping
 .
 luatex -- The LuaTeX engine
 .
 makeindex -- Makeindex development sources
 .
 metafont -- A system for specifying fonts
 .
 mflogo -- LaTeX support for Metafont logo fonts
 .
 mfware -- Supporting tools for use with Metafont
 .
 modes -- A collection of Metafont mode_def's
 .
 pdftex -- A TeX extension for direct creation of PDF
 .
 plain -- The Plain TeX format
 .
 tex -- A sophisticated typesetting engine
 .
 tex-ini-files -- Model TeX format creation files
 .
 texlive-common -- TeX Live documentation (common elements)
 .
 texlive-docindex -- top-level TeX Live doc.html, etc.
 .
 texlive-en -- TeX Live manual (English)
 .
 texlive-msg-translations -- translations of the TeX Live installer and TeX
 Live Manager
 .
 texlive-scripts -- TeX Live infrastructure programs
 .
 texlive.infra -- basic TeX Live infrastructure
 .
 unicode-data -- Unicode data and loaders for TeX
 .
 xdvi -- A DVI previewer for the X Window System
 .
 texdoc -- Documentation access for TeX Live
 .
 texdoctk -- Easy access to package documentation

Package: texlive-latex-base
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-lmodern, texlive-base (>= 2020.20200417), texlive-base (>= 2020.20200417), texlive-binaries (>= 2020.20200327)
Suggests: texlive-latex-base-doc
Replaces: texlive-latex-extra (<< 2019.202000225), texlive-latex-recommended (<< 2019.20200205), texlive-latex-recommended (<< 2019.20200225), texlive-latex-recommended (<< 2020.20201203)
Breaks: texlive-base (<< 2020.20200417), texlive-formats-extra (<< 2020.20201129), texlive-latex-extra (<< 2019.20191203), texlive-latex-extra (<< 2019.202000225), texlive-latex-recommended (<< 2019.20191208), texlive-latex-recommended (<< 2019.20200205), texlive-latex-recommended (<< 2019.20200225), texlive-latex-recommended (<< 2020.20201203)
Description: TeX Live: LaTeX fundamental packages
 These packages are either mandated by the core LaTeX team, or very widely 
 used and strongly recommended in practice.
 .
 This package includes the following CTAN packages:
 .
 ae -- Virtual fonts for T1 encoded CMR-fonts
 .
 amscls -- AMS document classes for LaTeX
 .
 amsmath -- AMS mathematical facilities for LaTeX
 .
 atbegshi -- Execute stuff at \shipout time
 .
 atveryend -- Hooks at the very end of a document
 .
 auxhook -- Hooks for auxiliary files
 .
 babel -- Multilingual support for Plain TeX or LaTeX
 .
 babel-english -- Babel support for English
 .
 babelbib -- Multilingual bibliographies
 .
 bigintcalc -- Integer calculations on very large numbers
 .
 bitset -- Handle bit-vector datatype
 .
 bookmark -- A new bookmark (outline) organization for hyperref
 .
 carlisle -- David Carlisle's small packages
 .
 colortbl -- Add colour to LaTeX tables
 .
 epstopdf-pkg -- Call epstopdf "on the fly"
 .
 etexcmds -- Avoid name clashes with e-TeX commands
 .
 fancyhdr -- Extensive control of page headers and footers in LaTeX2e
 .
 firstaid -- First aid for external LaTeX files and packages that need
 updating
 .
 fix2col -- Fix miscellaneous two column mode features
 .
 geometry -- Flexible and complete interface to document dimensions
 .
 gettitlestring -- Clean up title references
 .
 graphics -- The LaTeX standard graphics bundle
 .
 graphics-cfg -- Sample configuration files for LaTeX color and graphics
 .
 grfext -- Manipulate the graphics package's list of extensions
 .
 hopatch -- Load patches for packages
 .
 hycolor -- Implements colour for packages hyperref and bookmark
 .
 hyperref -- Extensive support for hypertext in LaTeX
 .
 intcalc -- Expandable arithmetic operations with integers
 .
 kvdefinekeys -- Define keys for use in the kvsetkeys package
 .
 kvoptions -- Key value format for package options
 .
 kvsetkeys -- Key value parser with default handler support
 .
 l3backend -- LaTeX3 backend drivers
 .
 l3kernel -- LaTeX3 programming conventions
 .
 l3packages -- High-level LaTeX3 concepts
 .
 latex -- A TeX macro package that defines LaTeX
 .
 latex-bin -- LaTeX executables and man pages
 .
 latex-fonts -- A collection of fonts used in LaTeX distributions
 .
 latexconfig -- configuration files for LaTeX-related formats
 .
 letltxmacro -- Let assignment for LaTeX macros
 .
 ltxcmds -- Some LaTeX kernel commands for general use
 .
 ltxmisc -- Miscellaneous LaTeX packages, etc
 .
 mfnfss -- Packages to typeset oldgerman and pandora fonts in LaTeX
 .
 mptopdf -- mpost to PDF, native MetaPost graphics inclusion
 .
 natbib -- Flexible bibliography support
 .
 oberdiek -- A bundle of packages submitted by Heiko Oberdiek
 .
 pagesel -- Select pages of a document for output
 .
 pdfescape -- Implements pdfTeX's escape features using TeX or e-TeX
 .
 pslatex -- Use PostScript fonts by default
 .
 psnfss -- Font support for common PostScript fonts
 .
 pspicture -- PostScript picture support
 .
 refcount -- Counter operations with label references
 .
 rerunfilecheck -- Checksum based rerun checks on auxiliary files
 .
 stringenc -- Converting a string between different encodings
 .
 tools -- The LaTeX standard tools bundle
 .
 uniquecounter -- Provides unlimited unique counter
 .
 url -- Verbatim with URL-sensitive line breaks

Package: texlive-latex-recommended
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, texlive-base (>= 2020.20200417), texlive-binaries (>= 2020.20200327), texlive-latex-base (>= 2020.20200417)
Suggests: texlive-latex-recommended-doc, texlive-luatex, texlive-pstricks
Replaces: texlive-latex-base (<< 2019.20191208), texlive-latex-extra (<< 2017.20171003), texlive-latex-extra (<< 2019.20190324), texlive-latex-extra (<< 2019.20190507), texlive-latex-extra (<< 2019.20191208), texlive-luatex (<< 2017.20171003)
Breaks: texlive-base (<< 2020.20200417), texlive-latex-base (<< 2019.20191208), texlive-latex-base (<< 2019.20200205), texlive-latex-base (<< 2019.20200225), texlive-latex-base (<< 2020.20201203), texlive-latex-extra (<< 2017.20171003), texlive-latex-extra (<< 2019.20190324), texlive-latex-extra (<< 2019.20190507), texlive-latex-extra (<< 2019.20190720), texlive-latex-extra (<< 2019.20190915), texlive-latex-extra (<< 2019.20191208), texlive-luatex (<< 2017.20171003)
Description: TeX Live: LaTeX recommended packages
 A collection of recommended add-on packages for LaTeX which have widespread 
 use, and the release candidate formats latex-dev, etc.
 .
 This package includes the following CTAN packages:
 .
 anysize -- A simple package to set up document margins
 .

## texlive-base 2020.20210106

=== texmf-dist/doc/bibtex/babelbib/Makefile ===

SRCDIR=babelbib
INSTALLDIR=`kpsewhich --expand-path='$$TEXMFLOCAL'`/tex/latex/babelbib
DOCDIR=`kpsewhich --expand-path='$$TEXMFLOCAL'`/doc/latex/babelbib
BSTDIR=`kpsewhich --expand-path='$$TEXMFLOCAL'`/bibtex/bst/babelbib
VERSION=`latex getversion | grep '^VERSION' | sed 's/^VERSION \\(.*\\)\\.\\(.*\\)/\\1_\\2/'`


.SUFFIXES: .sty .ins .dtx .ps .pdf

.ins.sty:
	latex $<

.dtx.pdf:
	pdflatex $<
	pdflatex $<
	makeindex -s gind.ist $(*D)/$(*F)
	makeindex -s gglo.ist -o $(*D)/$(*F).gls $(*D)/$(*F).glo
	pdflatex $<

all: babelbib babelbib.pdf babelbibtest.pdf tugboat-babelbib.pdf

babelbibtest.pdf: babelbibtest.tex babelbibtest.bib babelbib.sty
	pdflatex babelbibtest
	bibtex babelbibtest
	pdflatex babelbibtest
	pdflatex babelbibtest

babelbib: babelbib.sty

tugboat-babelbib.pdf:
	if `test -f "tugboat-babelbib.tex"`; then \
	pdflatex tugboat-babelbib; \
	bibtex tugboat-babelbib; \
	pdflatex tugboat-babelbib; \
	pdflatex tugboat-babelbib; \
	fi


clean:
	@-rm -f *.glo *.gls *.idx *.ilg *.ind *.toc *.log *.aux *.blg *.bbl *.out
	@-rm -f *~

distclean: clean
	@-rm -f babelbib.sty babelbib.pdf babelbib.ps
	@-rm -f babelbibtest.pdf babelbibtest.ps
	@-rm -f *.bdf bab*.bst
	@-rm -rf texmf/

tar:	all clean
	@echo Lege babelbib-$(VERSION).tar.gz an
	-rm -f babelbib-$(VERSION).tar.gz
	tar czCf .. babelbib-$(VERSION).tar.gz \
	  $(SRCDIR)/README \
	  $(SRCDIR)/ChangeLog \
	  $(SRCDIR)/Makefile \
	  $(SRCDIR)/babelbib.dtx \
	  $(SRCDIR)/babelbib.ins \
	  $(SRCDIR)/babelbib.pdf \
	  $(SRCDIR)/babelbibtest.tex \
	  $(SRCDIR)/babelbibtest.bib \
	  $(SRCDIR)/getversion.tex \
	  $(SRCDIR)/tugboat-babelbib.pdf
	rm -f getversion.log


zip:	texlive
	-@rm -f babelbib-$(VERSION).zip
	zip -r babelbib-$(VERSION).zip texmf
	rm -rf texmf
	rm -f getversion.log


texlive:	all tugboat-babelbib.pdf clean
	rm -rf texmf
	mkdir -p texmf/tex/latex/babelbib/
	mkdir -p texmf/doc/latex/babelbib/
	mkdir -p texmf/source/latex/babelbib/
	mkdir -p texmf/bibtex/bst/babelbib/
	cp *.sty *.bdf texmf/tex/latex/babelbib/
	cp babelbib.pdf README ChangeLog babelbibtest.tex texmf/doc/latex/babelbib/
	cp babelbibtest.bib tugboat-babelbib.pdf texmf/doc/latex/babelbib/
	cp babelbib.dtx babelbib.ins texmf/source/latex/babelbib/
	cp Makefile getversion.tex texmf/source/latex/babelbib/
	cp *.bst texmf/bibtex/bst/babelbib/


install: all
	if [ ! -d $(INSTALLDIR) ]; then mkdir -p $(INSTALLDIR); fi
	if [ ! -d $(DOCDIR) ]; then mkdir -p $(DOCDIR); fi
	if [ ! -d $(BSTDIR) ]; then mkdir -p $(BSTDIR); fi
	install -m644 babelbib.sty $(INSTALLDIR)
	install -m644 *.bdf $(INSTALLDIR)
	install -m644 *.bst $(BSTDIR)
	install -m644 babelbib.pdf $(DOCDIR)
	texhash


babelbib.sty: babelbib.ins babelbib.dtx

=== debian/changelog ===
texlive-base (2020.20210106-1) unstable; urgency=medium

  * New upstream checkout.
  * Add FileMove texlive-plain-generic to texlive-base.
    (Closes: #978431)

 -- Hilmar Preusse <hille42@web.de>  Thu, 07 Jan 2021 16:23:40 +0100

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
 Recommends: lmodern (>= 0.93.3)
 Provides: dvipdfmx
 Suggests: ghostscript, gv | postscript-viewer, perl-tk, xpdf | pdf-viewer, xzdec
-Replaces: texlive-common (<< 2013), texlive-extra-utils (<< 2019.20190626), texlive-extra-utils (<< 2019.20191208), texlive-fonts-recommended (<< 2019.20200213), texlive-fonts-recommended-doc (<< 2019.20200213), texlive-lang-cyrillic (<< 2019.20190506), texlive-lang-european (<< 2019.20190506), texlive-lang-other (<< 2019.20190506), texlive-lang-spanish (<< 2019.20190506), texlive-latex-extra (<< 2019.20190701), texlive-latex-extra-doc (<< 2019.20190701)
-Breaks: texlive-common (<< 2013), texlive-extra-utils (<< 2019.20190626), texlive-extra-utils (<< 2019.20191208), texlive-extra-utils (<< 2020.20200329-2), texlive-fonts-recommended (<< 2019.20200213), texlive-fonts-recommended-doc (<< 2019.20200213), texlive-lang-cyrillic (<< 2019.20190506), texlive-lang-european (<< 2019.20190506), texlive-lang-other (<< 2019.20190506), texlive-lang-spanish (<< 2019.20190506), texlive-latex-extra (<< 2019.20190701), texlive-latex-extra-doc (<< 2019.20190701), texlive-math-extra (<< 2017)
+Replaces: texlive-common (<< 2013), texlive-extra-utils (<< 2019.20190626), texlive-extra-utils (<< 2019.20191208), texlive-fonts-recommended (<< 2019.20200213), texlive-fonts-recommended-doc (<< 2019.20200213), texlive-lang-cyrillic (<< 2019.20190506), texlive-lang-european (<< 2019.20190506), texlive-lang-other (<< 2019.20190506), texlive-lang-spanish (<< 2019.20190506), texlive-latex-extra (<< 2019.20190701), texlive-latex-extra-doc (<< 2019.20190701), texlive-plain-generic (<< 2018.20190227)
+Breaks: texlive-common (<< 2013), texlive-extra-utils (<< 2019.20190626), texlive-extra-utils (<< 2019.20191208), texlive-extra-utils (<< 2020.20200329-2), texlive-fonts-recommended (<< 2019.20200213), texlive-fonts-recommended-doc (<< 2019.20200213), texlive-lang-cyrillic (<< 2019.20190506), texlive-lang-european (<< 2019.20190506), texlive-lang-other (<< 2019.20190506), texlive-lang-spanish (<< 2019.20190506), texlive-latex-extra (<< 2019.20190701), texlive-latex-extra-doc (<< 2019.20190701), texlive-math-extra (<< 2017), texlive-plain-generic (<< 2018.20190227)
 Description: TeX Live: Essential programs and files
  These files are regarded as basic for any TeX system, covering plain TeX 
  macros, Computer Modern fonts, and configuration for common drivers; no 
@@ -251,5 +251,3 @@
  .
  This package includes the following CTAN packages:
  .
- anysize -- A simple package to set up document margins
- .

## texlive-base 2020.20210113

=== debian/changelog ===
texlive-base (2020.20210113-1) unstable; urgency=medium

  * New upstream checkout, patch refresh.
    Contains new latex-base, latex-base-dev, l3packages, l3experimental.

 -- Hilmar Preusse <hille42@web.de>  Wed, 13 Jan 2021 22:27:31 +0100
